OrcProto.StreamOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.StreamOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.Stream, OrcProto.Stream.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.StreamOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumn()` `optional uint32 column = 2;`
    `OrcProto.Stream.Kind` | `getKind()` `optional .orc.proto.Stream.Kind kind = 1;`
    `long` | `getLength()` `optional uint64 length = 3;`
    `boolean` | `hasColumn()` `optional uint32 column = 2;`
    `boolean` | `hasKind()` `optional .orc.proto.Stream.Kind kind = 1;`
    `boolean` | `hasLength()` `optional uint64 length = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasKind

          boolean hasKind()

      `optional .orc.proto.Stream.Kind kind = 1;`

    - #### getKind

          OrcProto.Stream.Kind getKind()

      `optional .orc.proto.Stream.Kind kind = 1;`

    - #### hasColumn

          boolean hasColumn()

      `optional uint32 column = 2;`

    - #### getColumn

          int getColumn()

      `optional uint32 column = 2;`

    - #### hasLength

          boolean hasLength()

      `optional uint64 length = 3;`

    - #### getLength

          long getLength()

      `optional uint64 length = 3;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.